All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
YCbCr420ToBGRBatchAdvanced
Color Model Conversion

Planar YCbCr420 to packed BGR batch color conversion where each pair of input/output images from provided batches has own Region-of-Interest (ROI). More...

## Functions

NppStatus | nppiYCbCr420ToBGRBatch_8u_P3C3R_Advanced_Ctx (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oMaxSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned packed BGR batch color conversion where each pair of input/output images has own ROI. More...
NppStatus | nppiYCbCr420ToBGRBatch_8u_P3C3R_Advanced (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oMaxSizeROI)

## Detailed Description

Planar YCbCr420 to packed BGR batch color conversion where each pair of input/output images from provided batches has own Region-of-Interest (ROI).

## Function Documentation

NppStatus nppiYCbCr420ToBGRBatch_8u_P3C3R_Advanced | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oMaxSizeROI
| ) |  |

NppStatus nppiYCbCr420ToBGRBatch_8u_P3C3R_Advanced_Ctx | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oMaxSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YCbCr420 to 3 channel 8-bit unsigned packed BGR batch color conversion where each pair of input/output images has own ROI.

Provided oMaxSizeROI must contain the maximum width and the maximum height of all ROIs defined in pDstBatchList. API user must ensure that ROI from pDstBatchList for each pair of input and output images does not go beyond the borders of images in each pair.

Parameters

  pSrcBatchList | An array where each element is a batch of images representing one of planes in planar images, Source-Batch-Images Pointer. The first element of array (pSrcBatchList[0]) represents a batch of Y planes. The second element of array (pSrcBatchList[1]) represents a batch of Cb planes. The third element of array (pSrcBatchList[2]) represents a batch of Cr planes.
  pDstBatchList | Destination-Batch-Images Pointer.
  nBatchSize | Number of NppiImageDescriptor structures processed in this call (must be > 1).
  oMaxSizeROI | Region-of-Interest (ROI), must contain the maximum width and the maximum height from all destination ROIs used for processing data.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation